Subject: Re: bug#9153: 23.3; browse-url too greedy

From: Dave Abrahams <[email-masked]>
Date: Sat, 23 Jul 2011 08:07:41 -0400

on Fri Jul 22 2011, Chong Yidong <cyd-AT-stupidchicken.com> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> 1. Put this in an empty buffer:
>>
>>     (http://www.codesourcery.com/public/cxx-abi/abi-eh.html)
>>
>> 2. `M-x browse-url RET'
>>
>> Note that the default in the minibuffer includes the final `)'.  I don't
>> think it should.
>
> Since many URLs contain parentheses, I'm not sure there is a sane way to
> handle this.  

Oh, geez.  I assumed parens were supposed to be urlencoded (wrong!)

Well, when a url ends in a paren you could search for a preceding
unbalanced open paren and if found.... aww, forget it.  I guess I just
have to accept that I have to delimit URLs some other way.

Thanks,

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com